#include "symb/include/prep_ampl.h"

void 
coloringAmpl (vampl * source, hlpcsptr ghostMap, vampl * dest)
{
  int i, j;

  *dest = *source;

  for (i = 0; i < dest->size; i++)
    for (j = 0; j < dest->valence[i]; j++)
      {
	dest->vertlist[i][j].partcl += ghostMap->hlpcs[i][j];
	switch (ghostMap->hlpcs[i][j])
	  {
	  case ghostmark:
	  case antighostmark:
	  case sbosonmark:
	    dest->vertlist[i][j].lorentz = 0;
	    break;
	  }
      }
}
